package org.gcube.portlets.user.dataminermanager.client.resources;

import org.gcube.portlets.user.dataminermanager.client.DataMinerManager;

import com.google.gwt.user.client.ui.AbstractImagePrototype;

public class Images {

	public static AbstractImagePrototype logo() {
		return AbstractImagePrototype.create(DataMinerManager.resources.logo());
	}

	public static AbstractImagePrototype logoLittle() {
		return AbstractImagePrototype.create(DataMinerManager.resources.logoLittle());
	}

	public static AbstractImagePrototype computationIcon() {
		return AbstractImagePrototype.create(DataMinerManager.resources.computationIcon());
	}

	public static AbstractImagePrototype inputSpaceIcon() {
		return AbstractImagePrototype.create(DataMinerManager.resources.inputSpaceIcon());
	}

	public static AbstractImagePrototype addOperator() {
		return AbstractImagePrototype.create(DataMinerManager.resources.addOperator());
	}

	public static AbstractImagePrototype startComputation() {
		return AbstractImagePrototype.create(DataMinerManager.resources.startComputation());
	}
	
	public static AbstractImagePrototype removeAll() {
		return AbstractImagePrototype.create(DataMinerManager.resources.removeAll());
	}

	public static AbstractImagePrototype showAllOperators() {
		return AbstractImagePrototype.create(DataMinerManager.resources.sortAscending());
	}

	public static AbstractImagePrototype showCategories() {
		return AbstractImagePrototype.create(DataMinerManager.resources.tree());
	}

	public static AbstractImagePrototype folderExplore() {
		return AbstractImagePrototype.create(DataMinerManager.resources.folderExplore());
	}

	public static AbstractImagePrototype cancel() {
		return AbstractImagePrototype.create(DataMinerManager.resources.cancel());
	}

	public static AbstractImagePrototype addl() {
		return AbstractImagePrototype.create(DataMinerManager.resources.add());
	}

	public static AbstractImagePrototype table() {
		return AbstractImagePrototype.create(DataMinerManager.resources.table());
	}

	public static AbstractImagePrototype refresh() {
		return AbstractImagePrototype.create(DataMinerManager.resources.refresh());
	}

	public static AbstractImagePrototype fileDownload() {
		return AbstractImagePrototype.create(DataMinerManager.resources.fileDownload());
	}

	public static AbstractImagePrototype loader() {
		return AbstractImagePrototype.create(DataMinerManager.resources.loader());
	}

	public static AbstractImagePrototype save() {
		return AbstractImagePrototype.create(DataMinerManager.resources.save());
	}

	public static AbstractImagePrototype expand() {
		return AbstractImagePrototype.create(DataMinerManager.resources.expand());
	}

	public static AbstractImagePrototype collapse() {
		return AbstractImagePrototype.create(DataMinerManager.resources.collapse());
	}

	public static AbstractImagePrototype groupBy() {
		return AbstractImagePrototype.create(DataMinerManager.resources.groupBy());
	}
	
	public static AbstractImagePrototype map() {
		return AbstractImagePrototype.create(DataMinerManager.resources.map());
	}
	
	public static AbstractImagePrototype userPerspective() {
		return AbstractImagePrototype.create(DataMinerManager.resources.userPerspective());
	}
	
	public static AbstractImagePrototype computationPerspective() {
		return AbstractImagePrototype.create(DataMinerManager.resources.computationPerspective());
	}
	
}
