package org.gcube.portlets.user.dataminermanager.shared.data;

import java.io.Serializable;

/**
 * 
 * @author Giancarlo Panichi email: <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public class ComputationId implements Serializable {

	private static final long serialVersionUID = 7898676192287822723L;
	private String id;
	private String urlId;

	public ComputationId() {
		super();
	}

	public ComputationId(String id, String urlId) {
		super();
		this.id = id;
		this.urlId = urlId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUrlId() {
		return urlId;
	}

	public void setUrlId(String urlId) {
		this.urlId = urlId;
	}

	@Override
	public String toString() {
		return "ComputationId [id=" + id + ", urlId=" + urlId + "]";
	}

}
